Subject: RE: bug#31311: 27.0; doc of `pcase'

From: Drew Adams <[email-masked]>
Date: Sun, 27 May 2018 06:31:49 -0700 (PDT)

> >    The manual should refer to `cl-case', not `case'.
>    I disagree.  My (unsolicited) 2 cents: ...
> 
> I agree, in the long term.  However, for the scope of
> this bug, it's not a crucial problem to resolve.

Right.  This bug is not about that.  

> If the fundamental change you seek is to transition
> ‘case’ into Emacs Lisp "core" (not requiring loading
> cl.el etc), 

Yes - let Emacs embrace `case' as one of its own.

But I put it differently.  It's not about where the
definition lives (in which file), except in so far
as one or the other place requires users to jump
through more hoops.

And no one has ever had to (and still does not need
to) load cl.el at runtime, to get `case'.  It's a
macro, so it's enough to load it at byte-compile time.

Still, it would be better if even that were not needed.

> that's something that we can discuss in -devel

It's been raised, IIRC, but didn't go anywhere.

> and when it occurs, the docs can be updated accordingly.

Agreed.  I just jumped in here, OT, in response to
this general statement:

  The manual should refer to `cl-case', not `case'.

>    On a related subject [naming of `pcase' et al].
> 
> This interesting topic is better discussed in -devel, i think.

Yes.

> i think we are now at a good point to merge (and close the bug).

I haven't looked at the resulting doc, but I'm sure it's
a great improvement.  Thanks for all your work on this.